<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>org.finos.legend.showcase</groupId>
    <artifactId>graphql</artifactId>
    <version>0.0.1-SNAPSHOT</version>
  </parent>
  <groupId>org.finos.legend.showcase</groupId>
  <artifactId>graphql-file-generation</artifactId>
  <version>0.0.1-SNAPSHOT</version>
  <build>
    <plugins>
      <plugin>
        <groupId>org.finos.legend.sdlc</groupId>
        <artifactId>legend-sdlc-generation-file-maven-plugin</artifactId>
        <executions>
          <execution>
            <phase>generate-sources</phase>
            <goals>
              <goal>generate-file-generations</goal>
            </goals>
          </execution>
        </executions>
        <configuration>
          <inclusions>
            <directories>
              <directory>${project.parent.basedir}/graphql-entities/target/classes</directory>
            </directories>
          </inclusions>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
